- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::MathTools::CPolygon Class Reference

List of all members.

## Detailed Description

Representation of a polygon.

Date:
  19/03/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CPolygon.hpp,v 1.5 2007/02/08 21:06:44 paul Exp

Definition at line 35 of file CPolygon.hpp.

## Public Member Functions

- CPolygon ()
- CPolygon (const CPolygon &polygon)
- CPolygon (const long numberOfPoints)
- TCountedPointerArray< CPoint > * getMutablePointArray () const
- long getNumberOfPoints () const
- CPoint * getPoint (const long index)
- const TCountedPointerArray<
  CPoint > * getPointArray () const
- void initialiseArray (const long numberOfPoints)
- void offset (const CPoint &point)
- virtual CPolygon & operator= (const CPolygon &polygon)
- virtual bool operator== (const CPolygon &polygon)
- void setPoint (const CPoint &point, const long index)
- virtual ~CPolygon ()

## Protected Attributes

- TCountedPointerArray< CPoint > * m_pointArray

## Constructor & Destructor Documentation

Exponent::MathTools::CPolygon::CPolygon | ( | const long | numberOfPoints | ) |

Construction

Parameters:

  | numberOfPoints | The total number of points in the polygon

Exponent::MathTools::CPolygon::CPolygon | ( | const CPolygon & | polygon | ) |

Copy construction

Parameters:

  | polygon | The polygon

Exponent::MathTools::CPolygon::CPolygon | ( |  | ) |

Default construction

virtual Exponent::MathTools::CPolygon::~CPolygon | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

TCountedPointerArray<CPoint>* Exponent::MathTools::CPolygon::getMutablePointArray | ( |  | ) | const`[inline]`

Get the point array

Return values:

  | TCountedPointerArray<CPoint>* | The point array

Definition at line 111 of file CPolygon.hpp.

References m_pointArray.

long Exponent::MathTools::CPolygon::getNumberOfPoints | ( |  | ) | const

Get the number of points

Return values:

  | long | The number of points in the polygon

CPoint* Exponent::MathTools::CPolygon::getPoint | ( | const long | index | ) |

Get a specific point

Parameters:

  | index | The index of the point required

Return values:

  | CPoint* | The point requested or NULL on error

const TCountedPointerArray<CPoint>* Exponent::MathTools::CPolygon::getPointArray | ( |  | ) | const`[inline]`

Get the point array

Return values:

  | const | TCountedPointerArray<CPoint>* The point array

Definition at line 105 of file CPolygon.hpp.

References m_pointArray.

void Exponent::MathTools::CPolygon::initialiseArray | ( | const long | numberOfPoints | ) |

Initialise the array

Parameters:

  | numberOfPoints | The number of points in the array

void Exponent::MathTools::CPolygon::offset | ( | const CPoint & | point | ) |

Offset the position of the rectangle

Parameters:

  | point | The position to offset by

virtual CPolygon& Exponent::MathTools::CPolygon::operator= | ( | const CPolygon & | polygon | ) | `[virtual]`

Assignment operator

Parameters:

  | polygon | The polygon to copy

Return values:

  | CPolygon& | A reference to this

virtual bool Exponent::MathTools::CPolygon::operator== | ( | const CPolygon & | polygon | ) | `[virtual]`

Equality operator

Parameters:

  | polygon | The polygon to compare to

Return values:

  | bool | True if polygons are equal, false otherwise

void Exponent::MathTools::CPolygon::setPoint | ( | const CPoint & | point,
|  | const long | index |
| ) |  |  |

Set a point

Parameters:

  | point | The position
  | index | The index of this point

## Member Data Documentation

TCountedPointerArray<CPoint>* Exponent::MathTools::CPolygon::m_pointArray`[protected]`

The array of points

Definition at line 137 of file CPolygon.hpp.

Referenced by getMutablePointArray(), and getPointArray().